Comandos de Linux

Cómo convertir de RPM a Deb y Deb al paquete RPM usando Alien

Cómo convertir de RPM a Deb y Deb al paquete RPM usando Alien

Como estoy seguro de que ya sabe, hay muchas maneras de instalar software en Linux: utilizando el sistema de administración de paquetes proporcionado por su distribución (aptitud, yum o zypper, por nombrar algunos ejemplos), compilando desde la fuente (aunque algo así como algo Raro en estos días, fue el único método disponible durante los primeros días de Linux), o utilizando una herramienta de bajo nivel como dpkg o rpm con .debutante y .rpm paquetes independientes, precompilados, respectivamente.

En este artículo te presentaremos extraterrestre, una herramienta que se convierte entre diferentes formatos de paquete de Linux, con .rpm a .debutante (y viceversa) siendo el uso más común.

Esta herramienta, incluso cuando su autor ya no la mantiene y establece en su sitio web que Alien siempre permanecerá en estado experimental, puede ser útil si necesita un cierto tipo de paquete, pero solo puede encontrar ese programa en otro formato de paquete.

Por ejemplo, extraterrestre salvé mi día una vez cuando estaba buscando un .debutante conductor para un chorro de tinta impresora y no pudo encontrar ninguno: el fabricante solo proporcionó un .rpm paquete. Instalé alienígena, convertí el paquete, y en poco tiempo pude usar mi impresora sin problemas.

Dicho esto, debemos aclarar que esta utilidad no debe usarse para reemplazar archivos y bibliotecas importantes del sistema, ya que están configurados de manera diferente entre las distribuciones. Solo use Alien como último recurso si los métodos de instalación sugeridos al comienzo de este artículo están fuera de discusión para el programa requerido.

Por último, pero no menos importante, debemos tener en cuenta que a pesar de que usaremos Cento y Debian En este artículo, también se sabe que Alien trabaja en Flogware e incluso en Solaris, además de las dos primeras distribuciones y sus respectivas familias.

Paso 1: Instalación de Alien y Dependencias

Instalar extraterrestre en Cento/Rhel 7, necesitará habilitar el Epel y el Nux dextop (sí, es repositorios dextop - no escritorio), en ese orden:

# yum instalación Epel-Lelease # rpm --import http: // li.nux.RO/descargar/nux/rpm-gpg-key-nux.RO 

La última versión del paquete que habilita este repositorio es actualmente 0.5 (Publicado en Ago. 10, 2015). Debe verificar http: // li.nux.RO/descargar/nux/dextop/el7/x86_64/para ver si hay una versión más nueva antes de continuar:

# rpm -uvh http: // li.nux.RO/descargar/nux/dextop/el7/x86_64/nux-dextop-release-0-5.El7.nux.noarch.rpm 

entonces hazlo,

# yum actualización && yum install alienígena 

En Fedora, Solo necesitará ejecutar el último comando.

En Debian y Derivados, simplemente haz:

# Aptitud Instalar alienígena 

Paso 2: Convertir desde .Deb a .paquete de rpm

Para esta prueba hemos elegido dateutils, que proporciona un conjunto de fecha y tiempo utilidades para tratar grandes cantidades de datos financieros. Descargaremos el .debutante paquete a nuestro Centos 7 caja, conviértalo a .rpm e instálelo:

# cat/etc/centos-release # wget http: // ftp.a nosotros.debian.org/Debian/Pool/Main/D/DateUtils/DateUtils_0.3.1-1.1_amd64.Deb # alien-a-rpm --scripts dateutils_0.3.1-1.1_amd64.debutante 

Importante: (Tenga en cuenta cómo, por defecto, Alien aumenta la versión menor del paquete de destino. Si desea anular este comportamiento, agregue el -guarda bandera).

Si intentamos instalar el paquete de inmediato, nos encontraremos con un pequeño problema:

# rpm -uvh dateutils -0.3.1-2.1.x86_64.rpm 

Para resolver este problema, habilitaremos el repositorio de pruebas epel e instalar el rpmrebuild utilidad para editar la configuración del paquete a reconstruir:

# yum --enableRepo = Epel-testing install rpmreBuild 

Entonces corre,

# rpmreBuild -pe dateUtils -0.3.1-2.1.x86_64.rpm 

Que abrirá su editor de texto predeterminado. Ve a la %de archivos Sección y elimine las líneas que se refieren a los directorios mencionados en el mensaje de error, luego guarde el archivo y salga:

Cuando usted salida el archivo se le solicitará que continúe con la reconstrucción. Si tu eliges Y, El archivo se reconstruirá en el directorio especificado (diferente al directorio de trabajo actual):

# rpmreBuild -pe dateUtils -0.3.1-2.1.x86_64.rpm 

Ahora puede proceder a instalar el paquete y verificar como de costumbre:

# rpm -uvh/root/rpmbuild/rpms/x86_64/dateutils -0.3.1-2.1.x86_64.rpm # rpm -qa | Grep DateUtils 

Finalmente, puede enumerar las herramientas individuales que se incluyeron con dateutils y alternativamente verifique sus respectivas páginas de hombre:

# ls -l /usr /bin | Grep DateUtils 

Paso 3: Convertir desde .RPM a .paquete Deb

En esta sección ilustraremos cómo convertir de .rpm a .debutante. En un 32 bits Debian shEEZY Box, descargemos el .rpm paquete para el zsh caparazón del CENTOS 6 OS repositorio. Tenga en cuenta que este shell no está disponible de forma predeterminada en Debian y derivados.

# cat /etc /shells # lsb_release -a | cola -n 4 
# wget http: // espejo.cento.org/centos/6/os/i386/paquetes/zsh-4.3.11-4.El6.cento.i686.RPM # alien-a DEB-Scripts ZSH-4.3.11-4.El6.cento.i686.rpm 

Puede ignorar de forma segura los mensajes sobre una firma faltante:

Después de unos momentos, el .debutante El archivo debería haberse generado y estar listo para instalar:

# dpkg -i zsh_4.3.11-5_i386.debutante 

Después de la instalación, puede verificar que zsh se agrega a la lista de capas válidas:

# gato /etc /conchas 

Resumen

En este artículo hemos explicado cómo convertir de .RPM a .debutante y viceversa para instalar paquetes como último recurso cuando dichos programas no están disponibles en los repositorios o como código fuente distribuible. Querrás marcar este artículo porque todos necesitaremos alienígenas en un momento u otro.

Siéntase libre de compartir sus pensamientos sobre este artículo utilizando el formulario a continuación.

Página Manual
Nombre LS - Lista de contenido del directorio Sinopsis LS [Opción] ... [Archivo] ... Descripción Información de la lista sobre los archivos (el direct...
Restablecimiento del dispositivo de banda ancha móvil Vodafone USB con USB_ModesWitch
La primera vez que utilicé mi dispositivo de banda ancha móvil Vodafone USB en mi sistema Fedora Linux, funcionó perfectamente . Sin embargo, después ...
Este núcleo requiere las siguientes características que no están presentes PAE
Hoy he intentado instalar RHEL6 I386 como una máquina virtual usando VirtualBox. Justo después del inicio, recibí un mensaje de error que decía Este k...